Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.RtcStats Class Reference

## Public Attributes
int | totalDuration
int | txBytes
int | rxBytes
int | txKBitRate
int | txAudioBytes
int | rxAudioBytes
int | txVideoBytes
int | rxVideoBytes
int | rxKBitRate
int | txAudioKBitRate
int | rxAudioKBitRate
int | txVideoKBitRate
int | rxVideoKBitRate
int | lastmileDelay
double | cpuTotalUsage
int | gatewayRtt
double | cpuAppUsage
int | users
int | connectTimeMs
int | txPacketLossRate
int | rxPacketLossRate
double | memoryAppUsageRatio
double | memoryTotalUsageRatio
int | memoryAppUsageInKbytes

## Detailed Description

Statistics of RtcEngine.

## Member Data Documentation

## ◆ totalDuration

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.totalDuration

The call duration in seconds, represented by an aggregate value.

## ◆ txBytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txBytes

The total number of bytes transmitted, represented by an aggregate value.

## ◆ rxBytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxBytes

The total number of bytes received, represented by an aggregate value.

## ◆ txKBitRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txKBitRate

The transmission bitrate in Kbps, represented by an instantaneous value.

## ◆ txAudioBytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txAudioBytes

Total number of audio bytes sent (bytes), represented by an aggregate value.

## ◆ rxAudioBytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxAudioBytes

Total number of audio bytes received (bytes) before network countermeasures, represented by an aggregate value.

## ◆ txVideoBytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txVideoBytes

Total number of video bytes sent (bytes), represented by an aggregate value.

## ◆ rxVideoBytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxVideoBytes

Total number of video bytes received (bytes), represented by an aggregate value.

## ◆ rxKBitRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxKBitRate

The receiving bitrate in Kbps, represented by an instantaneous value.

## ◆ txAudioKBitRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txAudioKBitRate

The audio transmission bitrate in Kbps, represented by an instantaneous value.

## ◆ rxAudioKBitRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxAudioKBitRate

The audio receiving bitrate in Kbps, represented by an instantaneous value.

## ◆ txVideoKBitRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txVideoKBitRate

The video transmission bitrate in Kbps, represented by an instantaneous value.

## ◆ rxVideoKBitRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxVideoKBitRate

The video receiving bitrate in Kbps, represented by an instantaneous value.

## ◆ lastmileDelay

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.lastmileDelay

The VOS client-server latency (ms).

## ◆ cpuTotalUsage

double io.agora.rtc2.IRtcEngineEventHandler.RtcStats.cpuTotalUsage

The system CPU usage (%).

## ◆ gatewayRtt

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.gatewayRtt

gateway Rtt

## ◆ cpuAppUsage

double io.agora.rtc2.IRtcEngineEventHandler.RtcStats.cpuAppUsage

The application CPU usage (%).

## ◆ users

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.users

The number of users in the channel.

## ◆ connectTimeMs

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.connectTimeMs

The duration (ms) between connection establish and connect start, 0 if not valid.

## ◆ txPacketLossRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.txPacketLossRate

The packet loss rate of sender(broadcaster).

## ◆ rxPacketLossRate

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.rxPacketLossRate

The packet loss rate of receiver(audience).

## ◆ memoryAppUsageRatio

double io.agora.rtc2.IRtcEngineEventHandler.RtcStats.memoryAppUsageRatio

The application memory usage (%).

## ◆ memoryTotalUsageRatio

double io.agora.rtc2.IRtcEngineEventHandler.RtcStats.memoryTotalUsageRatio

The system memory usage (%).

## ◆ memoryAppUsageInKbytes

int io.agora.rtc2.IRtcEngineEventHandler.RtcStats.memoryAppUsageInKbytes

The application memory usage (Kbyte).